Skip to content
Start here

Pool Health Details

client.loadBalancers.pools.health.get(stringpoolId, HealthGetParams { account_id } params, RequestOptionsoptions?): HealthGetResponse { pool_id, pop_health }
GET/accounts/{account_id}/load_balancers/pools/{pool_id}/health

Fetch the latest pool health status for a single pool.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Load Balancing: Monitors and Pools WriteLoad Balancing: Monitors and Pools Read
ParametersExpand Collapse
poolId: string
params: HealthGetParams { account_id }
account_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
HealthGetResponse { pool_id, pop_health }

A list of regions from which to run health checks. Null means every Cloudflare data center.

pool_id?: string

Pool ID.

pop_health?: POPHealth { healthy, origins }

List of regions and associated health status.

healthy?: boolean

Whether health check in region is healthy.

origins?: Array<Origin>
ip?: IP { failure_reason, healthy, response_code, rtt }
failure_reason?: string

Failure reason.

healthy?: boolean

Origin health status.

response_code?: number

Response code from origin health check.

rtt?: string

Origin RTT (Round Trip Time) response.

Pool Health Details

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const health = await client.loadBalancers.pools.health.get('17b5962d775c646f3f9725cbc7a53df4', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(health.pool_id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "pool_id": "17b5962d775c646f3f9725cbc7a53df4",
    "pop_health": {
      "healthy": true,
      "origins": [
        {
          "ip": {
            "failure_reason": "No failure reasons",
            "healthy": true,
            "response_code": 200,
            "rtt": "201.5ms"
          }
        }
      ]
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "pool_id": "17b5962d775c646f3f9725cbc7a53df4",
    "pop_health": {
      "healthy": true,
      "origins": [
        {
          "ip": {
            "failure_reason": "No failure reasons",
            "healthy": true,
            "response_code": 200,
            "rtt": "201.5ms"
          }
        }
      ]
    }
  },
  "success": true
}